# List templates

Retrieves a paginated list of all templates available in your account.

Endpoint: GET /templates
Version: 1.0.0
Security: basicAuth

## Query parameters:

  - `offset` (integer)
    The index of the first envelope to retrieve.

  - `limit` (integer)
    The maximum number of envelopes to return. If more than 50 is requested, 10 will be returned instead.

## Response 200 fields (application/json):

  - `http` (integer)
    Example: 200

  - `offset` (integer)

  - `limit` (integer)
    Example: 10

  - `total_templates` (string)
    Example: "1"

  - `templates` (array)

  - `templates.template_id` (string)
    Internal identifier.
    Example: "53690003"

  - `templates.template_fingerprint` (string)
    The unique ID used to identify this template.
    Example: "b786a173554cc06371248caf0b250704"

  - `templates.template_title` (string)
    The name of the template.
    Example: "Sample Contract"

  - `templates.template_page_total` (string)
    The total number of pages in the template.
    Example: "1"

  - `templates.template_in_progress` (string)
    The number of envelopes currently in progress that use this template.
    Example: "3"

  - `templates.template_parties_total` (string)
    The number of signing parties included in the template.
    Example: "1"

  - `templates.template_widget_url` (string)
    The direct URL to the hosted signing widget for this template.
    Example: "https://sign.signable.app/#/widget/VG7Tsd3y6X"

  - `templates.template_widget_embed` (string)
    A script snippet for embedding the signing widget into a webpage.
    Example: "<iframe src='https://sign.signable.app/#/widget/VG7Tsd3y6X' frameborder='0' style='border:0;width:100%;height:100vh;' scrolling='yes'></iframe>"

  - `templates.template_pdf_url` (string)
    A direct link to download the original uploaded PDF used in the template.
    Example: "https://docs.signable.co.uk/original/b786a173554cc06371248caf0b250704.pdf"

  - `templates.template_thumbnails` (array)
    An array of URLs to thumbnail images for each page of the template.

  - `templates.template_pages` (array)
    An array of URLs to full-size images of each page in the template.

  - `templates.template_uploaded` (string)
    The date and time the template was uploaded (in ISO 8601 format).
    Example: "2025-07-01T08:40:38+0000"

  - `templates.template_parties` (array)
    A list of the parties assigned to the template, including the merge fields linked to each party.

  - `templates.template_parties.party_id` (string)
    Example: "20459705"

  - `templates.template_parties.party_name` (string)
    Example: "Party"

  - `templates.template_parties.party_merge_fields` (array)
    Template fields that can optionally be pre-filled with text by the sender to personalise the document before sending.

- If a merge field is filled in during sending, it will appear as read-only for the signer.
- If left empty, the signer associated with the party ID in this object will be able to complete the field themselves.

  - `templates.template_parties.party_merge_fields.field_id` (string)
    Internal field identifier.
    Example: "450927743"

  - `templates.template_parties.party_merge_fields.field_merge` (string)
    A short label for the merge field, shown to the sender during the "Add fields & preview" step when preparing an envelope for sending.
    Example: "Name of Sender"

  - `templates.template_parties.party_merge_fields.field_type` (string)
    This will always be text, due to merge functionality only being available for text field type.
    Example: "text"


